var eStylesheets = new Array();

window.onload= init;

function init(){
	activatedStylesheet = getStylesheets();
	writeStyleSwitch(activatedStylesheet);
	return;
}


/* function: getStylesheets
   description: get all the stylesheets in the <link> elements
   return: activatedStylesheet: the title STRING of the activated stylesheet
   change: (global) eStylesheets: 2-dimensional ARRAY of all the stylesheet elements, keyed by title
*/
function getStylesheets(){
	eLinks = document.getElementsByTagName("link");
	hasActivated = false;
	for(i=0; i<eLinks.length; i++){
		eLink = eLinks[i];
		aRel = eLink.getAttribute("rel");
		aTitle = eLink.getAttribute("title");
		test = aRel.indexOf("stylesheet");
		if(test != -1 && aTitle != null){
			if(test == 0 && !hasActivated){ // activated stylesheet
				hasActivated = true;
				activatedStylesheet = aTitle;
			}
			if(eStylesheets[aTitle] == null) {
				eStylesheets[aTitle] = new Array();
			}
			eStylesheets[aTitle].push(eLink);
		}
	}
	return activatedStylesheet;
}


/* function: writeStyleSwitch
   description: gererate stylesheet switch
   return: none
*/
function writeStyleSwitch(titleToActive){
	eStyleSwitch = document.getElementById('styleSwitch');
	stylelist = "";
	for(title in eStylesheets){
		if(title == titleToActive){
			stylelist += 
			"<li>" +
			title+
			"</li>\n";
		}
		else{
			stylelist += 
			"<li>" +
			"<a href=\"#\" onclick=\"activateStyleSheet('"+title+"');return false;\">"+
			title+
			"</a>"+
			"</li>\n";
		}
	}
	eStyleSwitch.innerHTML=stylelist;
	return;
}


/* function: activateStyleSheet
   description: activate stylesheet
   return: none
*/
function activateStyleSheet(titleToActive){
	for(title in eStylesheets){
		isDisabled = (titleToActive == title)?false:true;
		for(i=0;i<eStylesheets[title].length;i++){
			eStylesheets[title][i].disabled = isDisabled;
		}
	}
	writeStyleSwitch(titleToActive);
	return;
}